
package com.lideeyunji.tool.framework.sql.chain;


public class SQLParserChain {
    private AbstractSQLParser sqlParserChain;

    public AbstractSQLParser getSqlParserChain() {
        return sqlParserChain;
    }

    public void setSqlParserChain(AbstractSQLParser... sqlParserChains) {
        sqlParserChain = sqlParserChains[0];//第一个

        // 首先，检查是否有至少两个解析器，因为我们需要至少两个来设置链
        if (sqlParserChains == null || sqlParserChains.length < 2) {
            return;
        }

        // 遍历解析器数组，设置每个解析器的下一个解析器
        for (int i = 0; i < sqlParserChains.length - 1; i++) {
            sqlParserChains[i].setNextSQLParse(sqlParserChains[i + 1]);
        }

    }
}
